Subject: Problem with indexes.

From: Herb HASLER <[email-masked]>
Date: Wed, 16 Dec 1992 15:42:36 +0100 (MET)

I have (I think) a simple problem. 

I have created a class PERSON which contains many 'text' attributes,
among them lname, fname, address, etc.   Then I added a number of instances.
Now I tried to create a btree index on one of the attributes with:

* define index pindex on PERSON using btree (lname text_ops)

When I go to do a query such as:

* retreive (PERSON.all) where PERSON.lname = "Smith"

It returns the message:
WARN:Dec 16 15:35:24:getattnvals: no attribute tuple 28660 1

Without the index it works fine.  The <, >, != operators work fine. 
Am I doing something stupid or incorrectly? 

Thanks for any guidance you can give,
Herb Hasler

[email-masked]